- name: install debian packages for obs from WIS
  become: true
  apt:
    state: latest
    name:
      - python3-requests

- name: create directory for obs from WIS job scripts
  become: true
  file:
    path: "{{ obs_from_wis_job_scripts }}"
    state: directory
    owner: "{{ metws_user }}"

- name: copy obs from WIS job scripts
  become: true
  copy:
    src: "{{ item }}"
    dest: "{{ obs_from_wis_job_scripts }}/{{ item }}"
    mode: preserve
  with_items:
    - fetch_obs

- name: configure obs from WIS job script
  become: true
  template:
    src: "{{ item }}.j2"
    dest: "{{ obs_from_wis_job_scripts }}/{{ item }}"
    mode: preserve
  with_items:
    - check_fetch_obs

- name: configure obs from WIS cron job
  become: true
  cron:
    name: "obs_from_wis"
    user: "{{ metws_user }}"
    minute: "{{ obs_from_wis_cron_minute }}"
    hour: "{{ obs_from_wis_cron_hour }}"
    job: '{{ metws_job_scripts }}/util/run_log obs_from_wis {{ obs_from_wis_subdir }}/check_fetch_obs'
    state: present
    disabled: "{{ obs_from_wis_enable_cron_job | ternary('no','yes') }}"
